package com.tofly.feesapi.common.core.vo;

/**
 * @author Administrator
 * @date 2026/2/5
 */
public class FieldDiffVO {
    // 字段说明（对应@FieldDesc的值）
    private String name;
    // 差异值（格式：原值修改为新值）
    private String value;

    // 无参构造器（Jackson序列化需要）
    public FieldDiffVO() {
    }

    // 有参构造器（方便封装结果）
    public FieldDiffVO(String name, String value) {
        this.name = name;
        this.value = value;
    }

    // GET/SET 方法（Jackson序列化需要，必须生成）
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }
}
